Subject: bug#18566: 24.3.93 Unable to use a command such as dired which involves forking a process

From: Ken Brown <[email-masked]>
Date: Fri, 26 Sep 2014 18:58:35 -0400

On 9/26/2014 6:12 PM, Jim Hurt wrote:
> On 9/26/2014 2:52 PM, Ken Brown wrote:
>> On 9/26/2014 1:50 PM, Jim Hurt wrote:
>>>
>>> Starting today (2014/09/26) when I issue a command that needs to fork a
>>> process such as dired I get the message in the terminal window:
>>>        0 [main] emacs-w32 816 child_info_fork::abort:
>>> C:\cygwin\bin\cygharfbuzz-0.dll: Loaded to different address:
>>> parent(0x340000) != child(0xF80000)
>>
>> This usually means you need to run rebaseall.  See
>>
>> https://www.cygwin.com/faq.html#faq.using.fixing-fork-failures
>>
>>> I am running Windows 8.1 using cygwin and
>>> GNU Emacs 24.3.93.1 (i686-pc-cygwin) of 2014-08-15 on fiona
>>
>> Ken
>>
>>
> When I do this, I get:
>
> $ /bin/rebaseall
> /usr/lib/perl5/5.14/i686-cygwin-threads-64int/CORE/cygperl5_14_2.dll:
> skipped because nonexistent.
> /usr/x86_64-pc-cygwin/sys-root/usr/bin/cygcrypto-1.0.0.dll: skipped
> because wrong machine type.
> /usr/x86_64-pc-cygwin/sys-root/usr/bin/cygssh2-1.dll: skipped because
> wrong machine type.
> /usr/x86_64-pc-cygwin/sys-root/usr/bin/cygssl-1.0.0.dll: skipped because
> wrong machine type.
> /usr/x86_64-pc-cygwin/sys-root/usr/bin/cygz.dll: skipped because wrong
> machine type.

These are harmless warnings.

> and my emacs behavior is even worse.

Then you should follow up on the Cygwin list.  I'm pretty sure this is a 
Cygwin issue and not an Emacs bug.  When you do follow up, please attach 
cygcheck output as requested at http://cygwin.com/problems.html, and 
please give the simplest possible recipe for reproducing the problem 
(starting from "emacs -Q").  Also, it might be useful for you to 
compress and attach the output of "rebase -is"; the address at which 
cygharfbuzz-0.dll is loaded looks surprisingly low to me.  This makes me 
think of another thing you could try: Move the rebase database 
/etc/rebase.db.i386 out of the way and then rerun rebaseall.

Ken